Bug 478189 - Expose Web Service as an LDAP
Expose Web Service as an LDAP
Status: NEW
Product: penrose
Classification: Retired
Component: Adapter (Show other bugs)
3.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 03:07 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:07:25 EST
a WSDL contains 4 things: XML schemas, a description of your service's interface (i.e. what operations does it support - like getCreditScores), a description of the protocol your interface is bound to (i.e. SOAP), and a description of where your service is located (i.e. a URL). Each WS has different operations. So its really mapping those operations (inputs and outputs) to the Penrose data structures. We will utilize new "dynamic client" functionality which can help  avoid the xml muck. In essence, it will dynamically build classes for your wsdl - i.e. a CreditScore class which represents <CreditScore>. Penrose Studio will have an interface to map these classes to/from LDAP. 

Idea: To use Groovy so you can use web services without compiling a client at build time. just do "def client = new Client("my/wsdl/url")" and you can do things like... client.getCreditScores("someUser")

Related: http://penrose.safehaus.org/penrose10/custom-adapters.html and http://xfire.codehaus.org (Client)

This require a WS-Adapter, Listener, Studio Components and Scripting.

=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '1',
          'components' => [
                            {
                              'name' => 'Adapter',
                              'id' => '10011'
                            },
                            {
                              'name' => 'Listeners',
                              'id' => '10070'
                            },
                            {
                              'name' => 'Scripting',
                              'id' => '10015'
                            },
                            {
                              'name' => 'Studio',
                              'id' => '10010'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-217',
          'assignee' => 'jimyang',
          'summary' => 'Expose Web Service as an LDAP',
          'id' => '10646',
          'updated' => '2007-10-23 15:50:37.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2008-09-18 00:00:00.0',
                             'sequence' => '31',
                             'name' => 'Penrose-2.1',
                             'released' => 'false',
                             'id' => '10130',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [],
          'description' => 'a WSDL contains 4 things: XML schemas, a description of your service's interface (i.e. what operations does it support - like getCreditScores), a description of the protocol your interface is bound to (i.e. SOAP), and a description of where your service is located (i.e. a URL). Each WS has different operations. So its really mapping those operations (inputs and outputs) to the Penrose data structures. We will utilize new "dynamic client" functionality which can help  avoid the xml muck. In essence, it will dynamically build classes for your wsdl - i.e. a CreditScore class which represents <CreditScore>. Penrose Studio will have an interface to map these classes to/from LDAP. 

Idea: To use Groovy so you can use web services without compiling a client at build time. just do "def client = new Client("my/wsdl/url")" and you can do things like... client.getCreditScores("someUser")

Related: http://penrose.safehaus.org/penrose10/custom-adapters.html and http://xfire.codehaus.org (Client)

This require a WS-Adapter, Listener, Studio Components and Scripting.',
          'created' => '2007-04-21 00:38:26.0',
          'type' => '2'
        };


=========================================================

Note You need to log in before you can comment on or make changes to this bug.